#!/bin/sh
#
# PROVIDE: athens
# REQUIRE: LOGIN networking
# KEYWORD: shutdown
#
# athens_enable (bool):
#   Default value: "NO"
#   Flag that determines whether athens is enabled
#
# athens_config (string)
#   Default value %%ETCDIR%%/athens.toml
#   Path to the athens configuration file
#
# athens_user (string)
#   This is the user that athens runs as
#   Set to %%ATHENS_USER%% by default
#
# athens_group (string)
#   This is the group that athens runs as
#   Set to %%ATHENS_GROUP%% by default

. /etc/rc.subr

name=athens
rcvar=athens_enable

load_rc_config $name

: ${athens_enable:="NO"}
: ${athens_config:="%%ETCDIR%%/athens.toml"}
: ${athens_user:=%%ATHENS_USER%%}
: ${athens_group:=%%ATHENS_GROUP%%}

athens_command="%%PREFIX%%/bin/athens -config_file ${athens_config}"
pidfile="/var/run/${name}/${name}.pid"
command="/usr/sbin/daemon"
command_args="-P ${pidfile} -S ${athens_command}"

PATH="${PATH}:%%PREFIX%%/bin"

required_files="${athens_config}"

start_precmd="athens_precmd"

athens_precmd()
{
  /usr/bin/install -d -m 700 -o "${athens_user}" -g "${athens_group}" /var/run/athens
}

run_rc_command "$1"
